Description: Don't add the commit hash to the logs
Author: Stephen Kitt <skitt@debian.org>
Forwarded: not-needed

--- a/setup.py
+++ b/setup.py
@@ -34,18 +34,6 @@
     """Add the commit hash and build .mo translations."""
 
     def run(self):
-        try:
-            commit = os.popen("git rev-parse HEAD").read().strip()
-            if re.match(r"^([a-z]|[0-9])+$", commit):
-                # for whatever reason different systems have different paths here
-                build_dir = ""
-                if os.path.exists("build/lib/inputremapper"):
-                    build_dir = "build/lib/"
-                with open(f"{build_dir}inputremapper/commit_hash.py", "w+") as f:
-                    f.write(f"COMMIT_HASH = '{commit}'\n")
-        except Exception as e:
-            print("Failed to save the commit hash:", e)
-
         # generate .mo files
         make_lang()
 
--- a/inputremapper/logging/logger.py
+++ b/inputremapper/logging/logger.py
@@ -25,10 +25,7 @@
 
 from inputremapper.logging.formatter import ColorfulFormatter
 
-try:
-    from inputremapper.commit_hash import COMMIT_HASH
-except ImportError:
-    COMMIT_HASH = ""
+COMMIT_HASH = ""
 
 
 start = time.time()
